For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Home
  • API Reference
        • GETVaccines
        • GETVaccine by Code
        • GETVaccine Categories
        • GETVaccine Funding Types
        • GETVaccine Types
        • GETRoutes of Administration
        • GETAntigens
        • GETAntigen by Code
        • GETCountries
        • GETGenders
        • GETAntenatal Age Range
        • GETMandatory Vaccine Batch
        • GETMandatory Route of Administration
        • GETMandatory Vaccine Type
        • GETMandatory Antenatal Indicator
        • GETAllowable Medical Contraindication
        • GETAllowable Natural Immunity
  • Guides
    • Minor ID Setup
    • Architecture
    • Security & Governance
    • PRODA
    • DVA Integration
    • AIR Integration
    • Integration test data
    • Troubleshooting
LogoLogo
API ReferenceAIRReference Data

Routes of Administration

||View as Markdown|
GET
/AIR/v1/refdata/routeOfAdministration
GET
/AIR/v1/refdata/routeOfAdministration
$curl https://api.rebateright.com.au/AIR/v1/refdata/routeOfAdministration \
> -H "x-api-key: <apiKey>"
200All Routes
1{
2 "statusCode": "AIR-I-1100",
3 "codeType": "AIRIBU",
4 "message": "Your request was successfully processed.",
5 "routeOfAdministration": [
6 {
7 "routeOfAdministrationCode": "PO",
8 "routeOfAdministrationDescription": "Oral"
9 },
10 {
11 "routeOfAdministrationCode": "SC",
12 "routeOfAdministrationDescription": "Subcutaneous"
13 },
14 {
15 "routeOfAdministrationCode": "ID",
16 "routeOfAdministrationDescription": "Intradermal"
17 },
18 {
19 "routeOfAdministrationCode": "IM",
20 "routeOfAdministrationDescription": "Intramuscular"
21 },
22 {
23 "routeOfAdministrationCode": "NS",
24 "routeOfAdministrationDescription": "Nasal"
25 }
26 ],
27 "correlationId": "urn:uuid:MDE00000ad26b32f44b5468e"
28}

List the AIR route of administration codes used on encounter episodes (PO Oral, SC Subcutaneous, ID Intradermal, IM Intramuscular, NS Nasal).

Was this page helpful?
Previous

Vaccine Types

Next

Antigens

Built with

Authentication

x-api-keystring
API Key authentication via header
x-minor-idstring
API Key authentication via header

Response

OK
statusCodestring
codeTypestring
messagestring
routeOfAdministrationlist of objects
correlationIdstring